'use strict';

var rbush = require('rbush');

var points = [];
for (var i = 0; i < 1000000; i++) {
    points.push(randomPoint(1000));
}

console.time('index ' + points.length + ' points');
var tree = rbush(16, ['.x', '.y', '.x', '.y']).load(points);
console.timeEnd('index ' + points.length + ' points');

console.time('10000 small bbox queries');

for (var i = 0; i < 10000; i++) {
    var p = randomPoint(1000);
    tree.search([p.x - 10, p.y - 10, p.x + 10, p.y + 10]);
}

console.timeEnd('10000 small bbox queries');

// console.log(result.length);

function randomPoint(max) {
    return {
        x: randomInt(max),
        y: randomInt(max)
    };
}

function randomInt(max) {
    return Math.floor(Math.random() * max);
}
